### Method

# Cogl Attribute set_buffer

#### Declaration [src]

    void
    cogl_attribute_set_buffer (
      CoglAttribute* attribute,
      CoglAttributeBuffer* attribute_buffer
    )

#### Description [src]

Sets a new `CoglAttributeBuffer` for the attribute.

#### Parameters

`attribute_buffer`

  Type: `CoglAttributeBuffer`

  A `CoglAttributeBuffer`.

  The data is owned by the caller of the method.